<bugID>1175592<Summary>Implement users choice over search engine coming from OS level search inputs</Summary><Description>Engineering breakdown / meta bug for bug 1175223

Assigning to Dolske, feel free to assign more appropriately.  Can you break down the engineering requirements?  Noting that bug 1175587 may generate additional requirements beyond the fundamental pieces.

In preparation for next week it would be most useful to know the simplest required change to get started and test this.

A Telemetry experiment may be the best first path forward for this, we should keep that in mind if its possible.</Description></bugID>